Get
curl --request GET \
--url https://api.paygentic.io/v0/externalReferences/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paygentic.io/v0/externalReferences/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paygentic.io/v0/externalReferences/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "externalReference",
"merchantId": "<string>",
"entityType": "item",
"entityId": "<string>",
"provider": "<string>",
"externalId": "<string>",
"metadata": {},
"isPrimary": true,
"isDefault": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"externalLabel": "<string>"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}ExternalReferences
Get
GET
/
v0
/
externalReferences
/
{id}
Get
Authorizations
API key authentication
Path Parameters
The unique identifier of the external reference
Pattern:
^xrf_[a-zA-Z0-9]+$Response
External reference
Links a Paygentic entity to a record in an external system such as Salesforce or NetSuite.
Unique identifier for an external reference
Pattern:
^xrf_[a-zA-Z0-9]+$Available options:
externalReference Unique identifier for an organization
Pattern:
^org_[a-zA-Z0-9]+$The type of Paygentic entity this external reference points at
Available options:
item, customer Lowercase snake_case provider identifier (e.g. salesforce, netsuite)
Maximum string length:
64Pattern:
^[a-z][a-z0-9_]*$Optional external identifier for cross-referencing with external systems. Alphanumeric characters, hyphens, and underscores only.
Maximum string length:
255Pattern:
^[a-zA-Z0-9_-]+$Was this page helpful?